/*
 * sysinfo.h		- get kernel info
 *
 */

/* 
 * Written by Gabor Herr <herr@iti.informatik.th-darmstadt.de>.
 *
 * Copyright (c) 1992, 1993 by Gabor Herr, all rights reserved.
 * 
 * Permission to use, copy, modify, distribute, and sell this software
 * and its documentation for any purpose is hereby granted without fee,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that may name is not used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission. I make no representations
 * about the suitability of this software for any purpose. It is
 * provided "as is" without express or implied warranty.
 */

/* $Id: sysinfo.h,v 1.4 1993/02/12 11:40:16 gabor Exp $ */
 
#ifndef SYSINFO_INCLUDED
#define SYSINFO_INCLUDED

#define MAX_SWAPFILES 8
#define MAX_STATS 3
#define EQL_STATS 0

/* IMPORTANT:
 * XG_NUM_SEGMENTS_STATS is 1 + BarGaugeP.h:XG_NUM_SEGMENTS
 */
#define XG_NUM_SEGMENTS_STATS 9

struct Stats {
    long int rx_bytes;
    long int rx_packets;
    long int tx_bytes;
    long int tx_packets;
};

extern void get_devinfo( struct Stats * );
extern int eqlinfo_init(void);

#endif
